//	Sizing left (default)
@mixin mm_sizing( $cls: "",
	$width: $mm_menuWidth, $minWidth: $mm_menuMinWidth, $maxWidth: $mm_menuMaxWidth
) {
	.mm-menu#{$cls}
	{
		width: percentage( $width );
		min-width: $minWidth;
		max-width: $maxWidth;
	}
	html.mm-opening#{$cls}
	{
		.mm-slideout
		{
			@include mm-webkit-prefix( 'transform', translate( percentage( $width ), 0 ) );
		}
	}
	@media all and (max-width: $minWidth / $width ) {
		html.mm-opening#{$cls}
		{
			.mm-slideout
			{
				@include mm-webkit-prefix( 'transform', translate( $minWidth, 0 ) );
			}
		}
	}
	@media all and (min-width: $maxWidth / $width ) {
		html.mm-opening#{$cls}
		{
			.mm-slideout
			{
				@include mm-webkit-prefix( 'transform', translate( $maxWidth, 0 ) );
			}
		}
	}
}

//	Sizing right
@mixin mm_sizing_right( $cls: "",
	$width: $mm_menuWidth, $minWidth: $mm_menuMinWidth, $maxWidth: $mm_menuMaxWidth
) {
	html.mm-right.mm-opening#{$cls}
	{
		.mm-slideout
		{
			@include mm-webkit-prefix( 'transform', translate( -( percentage( $width ) ), 0 ) );
		}
	}
	@media all and ( max-width: $minWidth / $width ) {
		html.mm-right.mm-opening#{$cls}
		{
			.mm-slideout
			{
				@include mm-webkit-prefix( 'transform', translate( -$minWidth, 0 ) );
			}
		}
	}
	@media all and ( min-width: $maxWidth / $width ) {
		html.mm-right.mm-opening#{$cls}
		{
			.mm-slideout
			{
				@include mm-webkit-prefix( 'transform', translate( -$maxWidth, 0 ) );
			}
		}
	}
}

//	Sizing z-position
@mixin mm_sizing_zposition( $cls: "",
	$height: $mm_menuHeight, $minHeight: $mm_menuMinHeight, $maxHeight: $mm_menuMaxHeight
) {

	// top
	// bottom
	.mm-menu#{$cls}
	{
		&.mm-top,
		&.mm-bottom
		{
			height: percentage( $height );
			min-height: $minHeight;
			max-height: $maxHeight;
		}
	}
}
